For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Hardware IDs

List

get

Retrieve Criteria Hardware ID List of a session server with the specified ID.

Path parameters
idinteger · int32Required

The ID of a session server for which to retrieve the Criteria settings.

ruleIdinteger · int32Required

The ID of the Rule to retrieve.

Responses
200

Success

application/json; api-version=1.0

Hardware ID criteria entry

hardwareIDstring · nullableOptional

The hardware ID.

get/api/PubItems/{id}/Rules/{ruleId}/Criteria/HardwareIDs
GET /api/PubItems/{id}/Rules/{ruleId}/Criteria/HardwareIDs HTTP/1.1
Accept: */*
[
  {
    "hardwareID": "text"
  }
]

Add

post

Add a hardware ID to the Hardware ID List of the Criteria settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the Criteria settings.

ruleIdinteger · int32Required

The ID of the Rule to retrieve.

Body

Add a hardware ID to the Criteria Hardware ID list

hardwareIDstring · min: 1 · max: 255 · nullableRequired

The hardware ID to add to the Criteria.

Responses
201

Created

No content

post/api/PubItems/{id}/Rules/{ruleId}/Criteria/HardwareIDs
POST /api/PubItems/{id}/Rules/{ruleId}/Criteria/HardwareIDs HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 21

{
  "hardwareID": "text"
}

No content

Remove

delete

Remove a hardware ID from the Hardware ID List of the Criteria settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the Criteria settings.

ruleIdinteger · int32Required

The ID of the Rule to retrieve.

Body

Remove a hardware ID from the Criteria Hardware ID list

hardwareIDstring · min: 1 · max: 255 · nullableRequired

The hardware ID to remove from the Criteria.

Responses
204

No Content

No content

delete/api/PubItems/{id}/Rules/{ruleId}/Criteria/HardwareIDs
DELETE /api/PubItems/{id}/Rules/{ruleId}/Criteria/HardwareIDs HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 21

{
  "hardwareID": "text"
}

No content